Upsert the service query endpoint for a given instance
This is an experimental feature. Please contact support to enable it.
POST
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
serviceQueryEndpoint
Upsert the service query endpoint for a given instance
curl --request POST \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"roles": [],
"openApiKeys": [
"<string>"
],
"allowedOrigins": "<string>"
}
'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint"
payload = {
"roles": [],
"openApiKeys": ["<string>"],
"allowedOrigins": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({roles: [], openApiKeys: ['<string>'], allowedOrigins: '<string>'})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"id": "<string>",
"openApiKeys": [
"<string>"
],
"roles": [],
"allowedOrigins": "<string>"
}
}{
"status": 400,
"error": "<string>"
}Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
ID of the requested service.
Body
application/json
Last modified on June 22, 2026
Was this page helpful?
Previous
Delete the service query endpoint for a given instanceThis is an experimental feature. Please contact support to enable it.
Next
⌘I
Upsert the service query endpoint for a given instance
